#include <Duinoedu_Esp8266.h>

Duinoedu_Esp8266 MonEsp;
ESP8266WebServer server ( 80 );

void setup()
{
  MonEsp.connect_AP_SetIP("D1 ILOT 1","12345678",IPAddress (192,168,4,1),IPAddress (255,255,255,0),IPAddress (192,168,4,15));//The command will only work if the password length is 8 characters or more.
  server.on ( "/", handleRoot );
  server.begin();  
  Serial.println ( "HTTP server started" );
}

void handleRoot(){

  server.send ( 200, "text/html", getPage() );
  delay(10);
}

String getPage(){
#define PAGE_EXIST
  String  page = "<!DOCTYPE html><html><head><meta charset='ISO-8859-15'>";
  page += "<title>DUINOEDU - www.duinoedu.com</title></head>";
  page += MonEsp.addPhoneStyle();
  page += "<BODY onload='process()'>";        
  page += "<h2>BRAVO VOUS ETES CONNECTES SUR LA CARTE WEMOS D1</h2>";
  page += "</body>";
  page += "</html>";
  return page;
}

void loop()
{
#ifdef PAGE_EXIST
  server.handleClient();
  delay(10);
#endif
}
